Get a list of tasks
curl --request GET \
--url https://api.turbofiles.io/v1/tasks \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.turbofiles.io/v1/tasks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.turbofiles.io/v1/tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"jsonapi": {
"version": "1.1"
},
"data": [
{
"type": "tasks",
"id": "<string>",
"attributes": {
"public": false,
"created_at": "2023-01-01T00:00:00.000000Z",
"updated_at": "2023-01-02T00:00:00.000000Z",
"settings": {},
"status": "COMPLETED",
"format": {
"input": "image/png",
"output": "image/webp"
},
"started_at": "2023-01-03T00:00:00.000000Z",
"processed_at": "2023-01-04T00:00:00.000000Z",
"processing_metadata": {}
},
"relationships": {
"input": {
"data": {
"type": "files",
"id": "<string>"
},
"links": {
"self": "<string>",
"related": "<string>"
}
},
"output": {
"data": {
"type": "files",
"id": "<string>"
},
"links": {
"self": "<string>",
"related": "<string>"
}
}
},
"links": {
"self": "<string>"
}
}
],
"links": {
"prev": "<string>",
"next": "<string>"
},
"meta": {
"rangeTruncated": true
},
"included": [
{
"type": "files",
"id": "8fhd83jpk",
"attributes": {
"size": 504233,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"links": {
"self": "<string>",
"upload": "<string>",
"download": "<string>"
}
}
]
}Tasks
List tasks
GET
/
v1
/
tasks
Get a list of tasks
Authorizations
Authentication token must be provided in the Authorization header using the Bearer scheme. Example: Authorization: Bearer your-api-key-or-token
Query Parameters
Cursor-based pagination parameters
Show child attributes
Show child attributes
⌘I